# class Sass::Supports::Interpolation

An interpolation condition (e.g. `#{$var}`).

### Attributes

resolved_value[RW]

The value of the expression after it's been resolved. Only set once {Tree::Visitors::Perform} has been run.

@return [String]

value[RW]

The SassScript expression in the interpolation.

@return [Sass::Script::Tree::Node]

### Public Class Methods

new(value) click to toggle source

    # File lib/sass/supports.rb, line 199
    def initialize(value)
      @value = value
    end

### Public Instance Methods

deep_copy() click to toggle source

    # File lib/sass/supports.rb, line 215
    def deep_copy
      copy = dup
      copy.value = @value.deep_copy
      copy
    end

options=(options) click to toggle source

    # File lib/sass/supports.rb, line 221
    def options=(options)
      @value.options = options
    end

perform(env) click to toggle source

    # File lib/sass/supports.rb, line 203
    def perform(env)
      @resolved_value = value.perform(env).to_s(:quote => :none)
    end

to_css() click to toggle source

    # File lib/sass/supports.rb, line 207
    def to_css
      @resolved_value
    end

to_src(options) click to toggle source

    # File lib/sass/supports.rb, line 211
    def to_src(options)
      @value.to_sass(options)
    end